<template>
  <v-footer
    id="mFooter"
    padless
    color="primary"
    class="mb-0"
  >
    <v-row
      fill-width
    >
      <v-col cols="12">
        <v-row justify="center">
          <v-col
            cols="3"
            lg="4"
          >
            <v-row justify="center">
              <a
                :aria-label="$t('logo.aria-label')"
                href="#"
              >
                <v-img
                  class="logo"
                  src="/images/LogoOuestGo.svg"
                  alt="OuestGo"
                  max-width="300"
                />
              </a>
              <v-chip
                class="ma-2"
              >
                {{ version }}
              </v-chip>
            </v-row>
          </v-col>
          <v-col
            cols="4" 
            lg="3" 
          >
            <v-card-text class="py-0 px-2 font-weight-bold mt-1">
              <h2
                style="font-size:1.25rem;margin-bottom:8px"
                class="white--text"
              >
                {{ $t("helpInfos") }}
              </h2>
            </v-card-text>
            <v-card-text class="py-0 px-2 mt-1">
              <a
                :href="$t('links.route.carpoolIncentive')"
                style="text-decoration:none; font-size:1.25rem;"
              >{{ $t("links.label.carpoolIncentive") }}</a>
            </v-card-text>
            <v-card-text class="py-0 px-2 mt-1">
              <a
                :href="$t('links.route.insurance')"
                style="text-decoration:none; font-size:1.25rem;"
              >{{ $t("links.label.insurance") }}</a>
            </v-card-text>
            <v-card-text class="py-0 px-2 mt-1">
              <a
                :href="$t('links.route.terms')"
                style="text-decoration:none; font-size:1.25rem;"
              >{{ $t("links.label.terms") }}</a>
            </v-card-text>
            <v-card-text class="py-0 px-2 mt-1">
              <a
                :href="$t('links.route.dataPolicy')"
                style="text-decoration:none; font-size:1.25rem;"
              >{{ $t("links.label.dataPolicy") }}</a>
            </v-card-text>
            <v-card-text class="py-0 px-2 mt-1">
              <a
                :href="$t('links.route.faq')"
                style="text-decoration:none; font-size:1.25rem;"
              >{{ $t("links.label.faq") }}</a>
            </v-card-text> 
            <v-card-text class="py-0 px-2 mt-1 mb-1">
              <a
                :href="$t('links.route.feedback')"
                style="text-decoration:none; font-size:1.25rem;"
              >{{ $t("links.label.feedback") }}</a>
            </v-card-text>
            <v-card-text class="py-0 px-2 mt-1 mb-1">
              <a
                style="text-decoration:none; font-size:1.25rem;"
                href="#"
                @click="showCookiesAction()"
              >{{ $t('tools.cookies.title') }}</a>
            </v-card-text>
            <v-card-text class="py-0 px-2 mt-1">
              <a
                :href="$t('links.route.toolBox')"
                style="text-decoration:none; font-size:1.25rem;"
              >{{ $t("links.label.toolBox") }}</a>
            </v-card-text>
            <!-- <v-card-text class="py-0 px-2 mt-1">
              <a
                :href="$t('links.route.accessibility')"
                style="text-decoration:none; font-size:1.25rem;"
              >{{ $t("links.label.accessibility") }}</a>
            </v-card-text> -->
          </v-col>
          <v-col
            cols="4" 
            lg="3" 
          >
            <v-card-text class="py-0 px-2 font-weight-bold mt-1">
              <h2
                style="font-size:1.25rem;margin-bottom:8px"
                class="white--text"
              >
                {{ $t("project") }}
              </h2>
            </v-card-text>
            <v-card-text class="py-0 px-2 mt-1 mb-1">
              <a
                :href="$t('links.route.history')"
                style="text-decoration:none; font-size:1.25rem;"
              >{{ $t("links.label.history") }}</a>
            </v-card-text>
            <v-card-text class="py-0 px-2 mt-1 mb-1">
              <a
                :href="$t('links.route.actors')"
                style="text-decoration:none; font-size:1.25rem;"
              >{{ $t("links.label.actors") }}</a>
            </v-card-text>
            <v-card-text class="py-0 px-2 mt-1 mb-1">
              <a
                :href="$t('links.route.partner')"
                style="text-decoration:none; font-size:1.25rem;"
              >{{ $t("links.label.partner") }}</a>
            </v-card-text>
            <v-card-text class="py-0 px-2 mt-1 mb-1">
              <a
                :href="$t('links.route.solidary')"
                style="text-decoration:none; font-size:1.25rem;"
              >{{ $t("links.label.solidary") }}</a>
            </v-card-text>
          </v-col>
        </v-row>
      </v-col>
      <v-row
        class="logos"
        justify="center"
      >
        <v-col
          cols="9"
          lg="6"
        >
          <m-gallery
            :path="logosPath"
            :items="logos"
          />
        </v-col>
      </v-row>

   
      <v-col
        cols="12"
        class="text-center"
        align-self="center"
      >
        <v-card
          flat
          color="warning"
          :height="60"
          class="mb-n4 "
        >
          <v-row>
            <v-col
              class="text-center mt-2"
              align-self="center"
            >
              <a
                :href="$t('urlMobicoop')"
                :alt="$t('altUrlMobicoop')"
                target="_blank"
              >{{ $t("licenseText") }}</a>
            </v-col>
          </v-row>
        </v-card>
      </v-col>
    </v-row>
    <cookies
      :show="showCookies"
      :app-name="appName"
      :auto-show="cookiesShowAuto"
      :social-networks-active="socialNetworksActive"
      :social-cookies="socialCookies"      
      @dialogClosed="dialogCookiesClosed"
    />
  </v-footer>
</template>

<script>
import Package from '@root/package.json'
import { merge } from "lodash";
import {messages_en, messages_fr, messages_eu} from "@translations/components/base/MFooter/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/base/MFooter/";
import MGallery from '@components/utilities/MGallery'
import Cookies from "@components/utilities/Cookies";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    MGallery,
    Cookies    
  },
  props: {
    logosPath: {
      type: String,
      default: null
    },   
    logos: {
      type: Object,
      default: null
    },
    appName:{
      type: String,
      default:null
    },
    cookiesShowAuto:{
      type: Boolean,
      default: true
    },
    socialNetworksActive:{
      type: Boolean,
      default: false
    },
    socialCookies:{
      type: Array,
      default: null
    }
  },  
  data() {
    return {
      version:Package.version,
      showCookies: false
    }
  },
  methods:{
    showCookiesAction(){
      this.showCookies = true;
    },
    dialogCookiesClosed(){
      this.showCookies = false;
    }
  }
};
</script>

<style lang="scss" scoped>
  a{
      text-decoration:none;
      color:#fff !important;
  }
  .logos {
    background-color: #FFF;
    margin-bottom: -15px;
  }
</style>
